Results 1 to 3 of 3

Thread: Audacious not working properly since upgrade from Leap 14.2

  1. #1

    Default Audacious not working properly since upgrade from Leap 14.2

    When I attempt to run Audacious from the command line, I get a series of error messages and the process remains running without a window being created:
    Code:
    ~> audacious
    ERROR plugin-load.cc:72 [plugin_load]: /usr/lib64/audacious/General/skins.so could not be loaded: /usr/lib64/audacious/General/skins.so: undefined symbol: _Z27audgui_get_monitor_geometryP10_GdkScreeniiP20_cairo_rectangle_int
    
    (audacious:22505): GLib-GObject-WARNING **: cannot register existing type 'GtkWidget'
    
    (audacious:22505): GLib-GObject-WARNING **: cannot add class private field to invalid type '<invalid>'
    
    (audacious:22505): GLib-GObject-WARNING **: cannot add private field to invalid (non-instantiatable) type '<invalid>'
    
    (audacious:22505): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed
    
    (audacious:22505): GLib-GObject-WARNING **: cannot register existing type 'GtkBuildable'
    
    (audacious:22505): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion 'G_TYPE_IS_INTERFACE (interface_type)' failed
    
    (audacious:22505): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
    
    (audacious:22505): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion 'G_TYPE_IS_INSTANTIATABLE (instance_type)' failed
    
    (audacious:22505): GLib-GObject-CRITICAL **: g_type_register_static: assertion 'parent_type > 0' failed
    
    (audacious:22505): GLib-GObject-WARNING **: cannot add private field to invalid (non-instantiatable) type '<invalid>'
    I do not get a command prompt back because the process is still running:
    Code:
    ~> ps -eaf | grep audacious
    gfreeman 22505 15193  0 16:25 pts/4    00:00:00 audacious
    gfreeman 22683  5584  0 16:44 pts/2    00:00:00 grep --color=auto audacious
    gfreeman@t2:~>
    I have removed it and reinstalled it, without any improvement:
    Code:
     # zypper in audacious
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 2 NEW packages are going to be installed:
      audacious audacious-lang
    
    The following recommended package was automatically selected:
      audacious-lang
    
    2 new packages to install.
    Overall download size: 277.7 KiB. Already cached: 0 B. After the operation,
    additional 1.1 MiB will be used.
    Continue? [y/n/v/...? shows all options] (y): 
    Retrieving package audacious-3.9-lp151.2.4.x86_64
                                               (1/2), 133.1 KiB (385.5 KiB unpacked)
    Retrieving: audacious-3.9-lp151.2.4.x86_64.rpm ...............[done (1.0 KiB/s)]
    Retrieving package audacious-lang-3.9-lp151.2.4.noarch
                                               (2/2), 144.7 KiB (721.9 KiB unpacked)
    Retrieving: audacious-lang-3.9-lp151.2.4.noarch.rpm ..........[done (1.0 KiB/s)]
    Checking for file conflicts: .............................................[done]
    (1/2) Installing: audacious-3.9-lp151.2.4.x86_64 .........................[done]
    (2/2) Installing: audacious-lang-3.9-lp151.2.4.noarch ....................[done]
    # zypper pa -iR | grep -i audacious
    i+ | Main Repository        | audacious-plugins-lang                   | 3.9-lp151.3.4                             | noarch
    i+ | Main Repository        | audacious-plugins-extra                  | 3.9-lp151.3.4                             | x86_64
    i+ | Main Repository        | audacious-plugins                        | 3.9-lp151.3.4                             | x86_64
    i  | Main Repository        | audacious-lang                           | 3.9-lp151.2.4                             | noarch
    i+ | Main Repository        | audacious                                | 3.9-lp151.2.4                             | x86_64
    #
    I am using XFCE environment.

  2. #2

    Default Re: Audacious not working properly since upgrade from Leap 14.2

    I have removed and reinstalled audacious. Now it fails with a Segmentation Fault:

    Code:
    ~> audacious
    ERROR plugin-load.cc:72 [plugin_load]: /usr/lib64/audacious/General/skins.so could not be loaded: /usr/lib64/audacious/General/skins.so: undefined symbol: _Z27audgui_get_monitor_geometryP10_GdkScreeniiP20_cairo_rectangle_int
    Gtk-Message: Failed to load module "canberra-gtk-module"
    
    (audacious:32586): GLib-GObject-WARNING **: cannot register existing type 'GtkStyle'
    
    (audacious:32586): GLib-GObject-WARNING **: cannot add private field to invalid (non-instantiatable) type '<invalid>'
    
    (audacious:32586): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
    
    (audacious:32586): GLib-GObject-CRITICAL **: g_param_spec_object: assertion 'g_type_is_a (object_type, G_TYPE_OBJECT)' failed
    
    (audacious:32586): GLib-GObject-WARNING **: cannot register existing type 'GdkWindow'
    
    (audacious:32586): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
    
    (audacious:32586): GLib-GObject-CRITICAL **: g_param_spec_object: assertion 'g_type_is_a (object_type, G_TYPE_OBJECT)' failed
    
    (audacious:32586): GLib-GObject-CRITICAL **: validate_pspec_to_install: assertion 'G_IS_PARAM_SPEC (pspec)' failed
    
    (audacious:32586): GLib-GObject-WARNING **: gsignal.c:1675: parameter 1 of type '<invalid>' for signal "GtkWidget::style_set" is not a value type
    
    (audacious:32586): GLib-GObject-WARNING **: cannot register existing type 'GdkScreen'
    
    (audacious:32586): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
    
    (audacious:32586): GLib-GObject-WARNING **: gsignal.c:1675: parameter 1 of type '<invalid>' for signal "GtkWidget::screen_changed" is not a value type
    
    (audacious:32586): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'
    
    (audacious:32586): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
    
    (audacious:32586): GLib-GObject-CRITICAL **: g_object_new_with_properties: assertion 'G_TYPE_IS_OBJECT (object_type)' failed
    Segmentation fault (core dumped)
    ~>

  3. #3

    Default Re: Audacious not working properly since upgrade from Leap 14.2

    I have had no trouble installing Audacious on a brand new machine, starting from scratch. And although I had Audacious working fine on my old machine, when I updated that machine from 42.2 to 15.1, it gives a segmentation fault. There must be some file that is not being updated properly. It seems that the only way I can get it to work here is to completely wipe OpenSuse and start again on this machine.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •